Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface StableIDEventAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface StableIDEventAdaptor
extends Adaptor

Provides access to StableIDEvents in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default StableIDEventAdaptor available from a driver.

Method Summary
`boolean` | `delete(GeneSnapShot geneSnapShot)` Deletes the gene snapshot.
`boolean` | `delete(TranslationSnapShot translation)` Deletes TranslationSnapshot.
`int` | `deleteEvents(MappingSession session)` Deletes all stable id events associated with the session.
`boolean` | `deleteGeneSnapShots(MappingSession session)` Deletes all GeneSnapShots associated with this session.
`int` | `deleteSession(MappingSession session)` Deletes session and corresponding stable id events.
`boolean` | `deleteTranslationSnapShots(MappingSession session)` Deletes all TranslationSnapShots associated with this session.
`java.util.List` | `fetch(MappingSession session)`
`java.util.List` | `fetch(java.lang.String stableID)`
`StableIDEvent` | `fetch(java.lang.String stableID, MappingSession session)`
`java.util.List` | `fetchCurrent(java.lang.String stableID)` Return all StableIDEvents that relate _accession_ to 0 or more stable ids in the current data release.
`GeneSnapShot` | `fetchGeneSnapShot(java.lang.String stableID, int version)` Fetches snapshot from datasource.
`java.util.List` | `fetchMappingSessions()`
`TranscriptSnapShot` | `fetchTranscriptSnapShot(java.lang.String stableID, int version)` Fetches transcript snapshot from datasource.
`TranslationSnapShot` | `fetchTranslationSnapShot(java.lang.String stableID, int version)` Fetches translation snapshot from datasource.
`void` | `store(GeneSnapShot[] geneSnapShots, MappingSession session)` Stores the genes.
`void` | `store(GeneSnapShot geneSnapShot, MappingSession session)` Store the gene snapshot.
`long` | `store(MappingSession session)` If the session is new then it is added to the database.
`void` | `store(Pair[] pairs, MappingSession session)` Store unpacked StableIDPairs with session in database.
`void` | `store(StableIDEvent event)`
`void` | `store(StableIDEvent[] events)` Stores stable id events, and there session, in database.
`void` | `store(TranslationSnapShot[] translations, MappingSession session)` Store the translation snapshots.
`void` | `store(TranslationSnapShot translation, MappingSession session)` Store the translation snapshot.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default StableIDEventAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetchCurrent

    public java.util.List fetchCurrent(java.lang.String stableID)
                                throws AdaptorException

  Return all StableIDEvents that relate _accession_ to 0 or more stable ids in the current data release. NOTE: This method is currently disabled due to a major change in the way the data is stored. It throws a NotImplementedYet exception.

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(java.lang.String stableID)
                         throws AdaptorException

  Returns:
    all StableIDEvents that have happened to the stable order in the order they happened, returns an empty list if no such events exist.
  Throws:
    `AdaptorException`

### fetch

    public StableIDEvent fetch(java.lang.String stableID,
                               MappingSession session)
                        throws AdaptorException

  Returns:
    StableIDEvent describing what happened to the specified stableID during the specified session. Returns null if no such event exists.
  Throws:
    `AdaptorException`

### store

    public void store(StableIDEvent event)
               throws AdaptorException

  Throws:
    `AdaptorException`

### store

    public void store(Pair[] pairs,
                      MappingSession session)
               throws AdaptorException

  Store unpacked StableIDPairs with session in database. This is the 'raw' representation of the events.

  Throws:
    `AdaptorException`

### fetchGeneSnapShot

    public GeneSnapShot fetchGeneSnapShot(java.lang.String stableID,
                                          int version)
                                   throws AdaptorException

  Fetches snapshot from datasource.

  Parameters:
    `stableID` - stable ID of snapshot
    `version` - version of snapshot
  Returns:
    snapshot if it exists, otherwise null
  Throws:
    `AdaptorException`

### fetchTranscriptSnapShot

    public TranscriptSnapShot fetchTranscriptSnapShot(java.lang.String stableID,
                                                      int version)
                                               throws AdaptorException

  Fetches transcript snapshot from datasource.

  Parameters:
    `stableID` - stable ID of snapshot
    `version` - version of snapshot
  Returns:
    snapshot if it exists, otherwise null
  Throws:
    `AdaptorException`

### fetchTranslationSnapShot

    public TranslationSnapShot fetchTranslationSnapShot(java.lang.String stableID,
                                                        int version)
                                                 throws AdaptorException

  Fetches translation snapshot from datasource.

  Parameters:
    `stableID` - stable ID of snapshot
    `version` - version of snapshot
  Returns:
    snapshot if it exists, otherwise null
  Throws:
    `AdaptorException`

### store

    public void store(TranslationSnapShot translation,
                      MappingSession session)
               throws AdaptorException

  Store the translation snapshot.

  Parameters:
    `translation` - SnapShot item to be stored
    `session` - the mapping session when this translation snapshot was created
  Throws:
    `AdaptorException` - if a problem occurs with the store

### store

    public void store(TranslationSnapShot[] translations,
                      MappingSession session)
               throws AdaptorException

  Store the translation snapshots.

  Parameters:
    `translations` - SnapShots item to be stored
    `session` - the mapping session when this translation snapshot was created
  Throws:
    `AdaptorException` - if a problem occurs with the store

### delete

    public boolean delete(TranslationSnapShot translation)
                   throws AdaptorException

  Deletes TranslationSnapshot.

  Parameters:
    `translation` - translation to be deleted.
  Returns:
    whether the translation was deleted
  Throws:
    `AdaptorException` - if a problem occurs with the delete

### deleteTranslationSnapShots

    public boolean deleteTranslationSnapShots(MappingSession session)
                                       throws AdaptorException

  Deletes all TranslationSnapShots associated with this session.

  Parameters:
    `session` - the session to delete TranslationSnapShots for
  Returns:
    whether any SnapShots were deleted
  Throws:
    `AdaptorException` - if a problem occurs with the delete

### store

    public void store(GeneSnapShot geneSnapShot,
                      MappingSession session)
               throws AdaptorException

  Store the gene snapshot.

  Parameters:
    `geneSnapShot` - item to be stored
    `session` - the mapping session when this genesnapshot was created
  Throws:
    `AdaptorException` - if a problem occurs with the store

### store

    public void store(GeneSnapShot[] geneSnapShots,
                      MappingSession session)
               throws AdaptorException

  Stores the genes. It is more efficient to call this method once rather than store(GeneSnapShot) many times. All snapshots should have the same archiveStableID.oldDatabaseName.

  Parameters:
    `geneSnapShots` - snapshots to be stored
    `session` - the mapping session when this genesnapshot was created
  Throws:
    `AdaptorException` - if a problem occurs with the store

### delete

    public boolean delete(GeneSnapShot geneSnapShot)
                   throws AdaptorException

  Deletes the gene snapshot.

  Parameters:
    `geneSnapShot` - item to be deleted
  Returns:
    whether the gene was deleted
  Throws:
    `AdaptorException` - if a problem occurs with the delete

### deleteGeneSnapShots

    public boolean deleteGeneSnapShots(MappingSession session)
                                throws AdaptorException

  Deletes all GeneSnapShots associated with this session.

  Parameters:
    `session` - the session to delete GeneSnapShots for
  Returns:
    whether any GeneDnapShots were deleted
  Throws:
    `AdaptorException` - if a problem occurs with the delete

### fetchMappingSessions

    public java.util.List fetchMappingSessions()
                                        throws AdaptorException

  Returns:
    List of zero or more mapping sessions.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(MappingSession session)
                         throws AdaptorException

  Returns:
    All stable id events generated during the specified session.
  Throws:
    `AdaptorException`

### deleteSession

    public int deleteSession(MappingSession session)
                      throws AdaptorException

  Deletes session and corresponding stable id events.

  Returns:
    number of sessions deleted.
  Throws:
    `AdaptorException`

### deleteEvents

    public int deleteEvents(MappingSession session)
                     throws AdaptorException

  Deletes all stable id events associated with the session. Leaves the session in the database.

  Returns:
    number of events deleted.
  Throws:
    `AdaptorException`

### store

    public void store(StableIDEvent[] events)
               throws AdaptorException

  Stores stable id events, and there session, in database.

  Throws:
    `AdaptorException`

### store

    public long store(MappingSession session)
               throws AdaptorException

  If the session is new then it is added to the database. If a session with the same session.oldDatabase and session.newDatabase is already in database it's creation time is updated to the current time.

  Returns:
    internalID of session.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD